summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2020-07-22 07:26:12 +0200
committerJeroen Roovers <jer@gentoo.org>2020-07-22 08:07:47 +0200
commit73d0b36a44229df1f26f3d9af63e8bba5a6188bf (patch)
tree1335ea0806c95fb37607cf252521b99ac4b76aea /dev-libs/liblinear
parentnet-analyzer/iptraf-ng: Old (diff)
downloadgentoo-73d0b36a44229df1f26f3d9af63e8bba5a6188bf.tar.gz
gentoo-73d0b36a44229df1f26f3d9af63e8bba5a6188bf.tar.bz2
gentoo-73d0b36a44229df1f26f3d9af63e8bba5a6188bf.zip
dev-libs/liblinear: Version 240
Package-Manager: Portage-3.0.0, Repoman-2.3.23 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Diffstat (limited to 'dev-libs/liblinear')
-rw-r--r--dev-libs/liblinear/Manifest1
-rw-r--r--dev-libs/liblinear/liblinear-240.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/dev-libs/liblinear/Manifest b/dev-libs/liblinear/Manifest
index ce1da6594e8..a1829e60cab 100644
--- a/dev-libs/liblinear/Manifest
+++ b/dev-libs/liblinear/Manifest
@@ -1,3 +1,4 @@
DIST liblinear-210.tar.gz 381662 BLAKE2B d64d217f7ba67605821062f66d4e9f130f4f2396dde14cd35532bad11f4af4f34bc231a1e3796ba2d0e14f84830ec05c6358d40018e048f4ae3fa62db2b1d0d7 SHA512 4e4558467f2ebb3dbd640c172b1129c8e5981c231a043abb0398a803252559795604a34992baee50ae6689646050733d3a908d7d76f8b1c94309b859eae7f8c8
DIST liblinear-221.tar.gz 520288 BLAKE2B b28c837488f5827ae76f32dc14a1b92027eb5ff123a15c07e9974197eea842c8247420632d259defdba3968383749538c1ed16f6b5c982fad87b3bc52572b485 SHA512 abf21f9030e67886d88a95ad1699e566f8b67bb3bd23253f1f656460911f92a5c3c184fe127390d6100bbf9970cf7a246ef3611b0788907c35a33286228f1753
DIST liblinear-230.tar.gz 524693 BLAKE2B 02e52f6dc26f6ae19dfe52691e4a86c64ea92c40a50d0fbe8a7bddcf06e1216b8f28462fb2105539dedf15ddb07f39ef7e7f78fa7cfd74eac955246e9ed050e7 SHA512 c8acdd9f5cfcf7ef1ff9b9fac658ff51ac4677801fdb9ce6a210ccca7fb136a7957d0edaf45e83269c1928de1926de0200d669cd94e09371c06821d42ba539bc
+DIST liblinear-240.tar.gz 558915 BLAKE2B d490692027d1016f7e66663f8c7d4713c7b6ca49c229316025382bd990b7dc0476331fd3b8e37f899e2a2ecfc98530d91715ebcd215fb6de91171ca805fbd8ff SHA512 92153d2971cd8a6d79aeaa5d68bfdf12f60631e2003b5bbbd9ec33cf15d27169c5ddbcf95af8d363f419bf8634fb29060877c88656767ab05602277af456530c
diff --git a/dev-libs/liblinear/liblinear-240.ebuild b/dev-libs/liblinear/liblinear-240.ebuild
new file mode 100644
index 00000000000..ede9a159d95
--- /dev/null
+++ b/dev-libs/liblinear/liblinear-240.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+inherit multilib toolchain-funcs
+
+DESCRIPTION="A Library for Large Linear Classification"
+HOMEPAGE="https://www.csie.ntu.edu.tw/~cjlin/liblinear/ https://github.com/cjlin1/liblinear"
+SRC_URI="https://github.com/cjlin1/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/4"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-macos"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e '/^AR/s|=|?=|g' \
+ -e '/^RANLIB/s|=|?=|g' \
+ -e '/^CFLAGS/d;/^CXXFLAGS/d' \
+ blas/Makefile || die
+ sed -i \
+ -e 's|make|$(MAKE)|g' \
+ -e '/$(LIBS)/s|$(CFLAGS)|& $(LDFLAGS)|g' \
+ -e '/^CFLAGS/d;/^CXXFLAGS/d' \
+ -e 's|$${SHARED_LIB_FLAG}|& $(LDFLAGS)|g' \
+ Makefile || die
+}
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ CXX="$(tc-getCXX)" \
+ CFLAGS="${CFLAGS} -fPIC" \
+ CXXFLAGS="${CXXFLAGS} -fPIC" \
+ AR="$(tc-getAR) rcv" \
+ RANLIB="$(tc-getRANLIB)" \
+ lib all
+}
+
+src_install() {
+ dolib.so ${PN}.so.4
+ dosym ${PN}.so.4 /usr/$(get_libdir)/${PN}.so
+
+ newbin predict ${PN}-predict
+ newbin train ${PN}-train
+
+ doheader linear.h
+
+ dodoc README
+}